## wv 0.1.0

=== DESCRIPTION ===
Package: wv
Type: Package
Title: Wavelet Variance
Version: 0.1.0
Date: 2019-08-29
Authors@R: c(
    person("Stéphane", "Guerrier", email = "stef.guerrier@gmail.com", role = c("aut","cre")),
    person("James", "Balamuta", role = "aut"),
    person("Justin", "Lee", role = "aut"),
    person("Roberto", "Molinari", role = "aut"),
    person("Nathanael", "Claussen", role = "ctb"),
    person("Haotian", "Xu", role = "ctb"),
    person("Yuming", "Zhang", role = "ctb")
    )
Maintainer: Stéphane Guerrier <stef.guerrier@gmail.com>
Description: Provides a series of tools to compute and plot quantities related to classical and robust wavelet variance for time series and regular lattices. More details can be found, for example, in Serroukh, A., Walden, A.T., & Percival, D.B. (2000) <doi:10.2307/2669537> and Guerrier, S. & Molinari, R. (2016) <arXiv:1607.05858>.  
Depends: R (>= 3.4.0)
License: AGPL-3
Imports: Rcpp, simts, utils, grDevices, coda, methods, graphics, stats
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 6.1.1
Encoding: UTF-8
Suggests: knitr, rmarkdown
URL: https://github.com/SMAC-Group/wv
BugReports: https://github.com/SMAC-Group/wv/issues
NeedsCompilation: yes
Packaged: 2019-08-29 14:33:57 UTC; yumingzhang
Author: Stéphane Guerrier [aut, cre],
  James Balamuta [aut],
  Justin Lee [aut],
  Roberto Molinari [aut],
  Nathanael Claussen [ctb],
  Haotian Xu [ctb],
  Yuming Zhang [ctb]
Repository: CRAN
Date/Publication: 2019-08-30 07:30:02 UTC

## wv 0.1.1

=== DESCRIPTION ===
Package: wv
Type: Package
Title: Wavelet Variance
Version: 0.1.1
Date: 2020-01-16
LazyData: true
Authors@R: c(
    person("Stéphane", "Guerrier", email = "stef.guerrier@gmail.com", role = c("aut","cre")),
    person("James", "Balamuta", role = "aut"),
    person("Justin", "Lee", role = "aut"),
    person("Roberto", "Molinari", role = "aut"),
    person("Yuming", "Zhang", role = "aut"),
    person("Nathanael", "Claussen", role = "ctb"),
    person("Haotian", "Xu", role = "ctb"),
    person("Lionel", "Voirol", role = "ctb")
    )
Maintainer: Stéphane Guerrier <stef.guerrier@gmail.com>
Description: Provides a series of tools to compute and plot quantities related to classical and robust wavelet variance for time series and regular lattices. More details can be found, for example, in Serroukh, A., Walden, A.T., & Percival, D.B. (2000) <doi:10.2307/2669537> and Guerrier, S. & Molinari, R. (2016) <arXiv:1607.05858>.  
Depends: R (>= 3.5.0)
License: AGPL-3
Imports: Rcpp, simts, utils, grDevices, coda, methods, graphics, stats
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.0.2
Encoding: UTF-8
Suggests: knitr, rmarkdown
URL: https://github.com/SMAC-Group/wv
BugReports: https://github.com/SMAC-Group/wv/issues
NeedsCompilation: yes
Packaged: 2020-01-16 17:39:42 UTC; zhangyum
Author: Stéphane Guerrier [aut, cre],
  James Balamuta [aut],
  Justin Lee [aut],
  Roberto Molinari [aut],
  Yuming Zhang [aut],
  Nathanael Claussen [ctb],
  Haotian Xu [ctb],
  Lionel Voirol [ctb]
Repository: CRAN
Date/Publication: 2020-01-16 18:40:02 UTC

## wv 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: wv
 Type: Package
 Title: Wavelet Variance
-Version: 0.1.1
-Date: 2020-01-16
+Version: 0.1.2
+Date: 2023-08-29
 LazyData: true
 Authors@R: c(
     person("Stéphane", "Guerrier", email = "stef.guerrier@gmail.com", role = c("aut","cre")),
@@ -10,6 +10,7 @@
     person("Justin", "Lee", role = "aut"),
     person("Roberto", "Molinari", role = "aut"),
     person("Yuming", "Zhang", role = "aut"),
+    person("Mucyo", "Karemera", role = "aut"),
     person("Nathanael", "Claussen", role = "ctb"),
     person("Haotian", "Xu", role = "ctb"),
     person("Lionel", "Voirol", role = "ctb")
@@ -20,20 +21,21 @@
 License: AGPL-3
 Imports: Rcpp, simts, utils, grDevices, coda, methods, graphics, stats
 LinkingTo: Rcpp, RcppArmadillo
-RoxygenNote: 7.0.2
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 Suggests: knitr, rmarkdown
 URL: https://github.com/SMAC-Group/wv
 BugReports: https://github.com/SMAC-Group/wv/issues
 NeedsCompilation: yes
-Packaged: 2020-01-16 17:39:42 UTC; zhangyum
+Packaged: 2023-08-30 08:10:40 UTC; lionel
 Author: Stéphane Guerrier [aut, cre],
   James Balamuta [aut],
   Justin Lee [aut],
   Roberto Molinari [aut],
   Yuming Zhang [aut],
+  Mucyo Karemera [aut],
   Nathanael Claussen [ctb],
   Haotian Xu [ctb],
   Lionel Voirol [ctb]
 Repository: CRAN
-Date/Publication: 2020-01-16 18:40:02 UTC
+Date/Publication: 2023-08-31 04:40:02 UTC

## wv 0.1.3

=== DESCRIPTION ===
Package: wv
Type: Package
Title: Wavelet Variance
Version: 0.1.3
LazyData: true
Authors@R: c(
    person("Stéphane", "Guerrier", email = "stef.guerrier@gmail.com", role = c("aut","cre")),
    person("James", "Balamuta", role = "aut"),
    person("Justin", "Lee", role = "aut"),
    person("Roberto", "Molinari", role = "aut"),
    person("Yuming", "Zhang", role = "aut"),
    person("Mucyo", "Karemera", role = "aut"),
    person("Nathanael", "Claussen", role = "ctb"),
    person("Haotian", "Xu", role = "ctb"),
    person("Lionel", "Voirol", role = "ctb")
    )
Maintainer: Stéphane Guerrier <stef.guerrier@gmail.com>
Description: Provides a series of tools to compute and plot quantities related to classical and robust wavelet variance for time series and regular lattices. More details can be found, for example, in Serroukh, A., Walden, A.T., & Percival, D.B. (2000) <doi:10.2307/2669537> and Guerrier, S. & Molinari, R. (2016) <doi:10.48550/arXiv.1607.05858>.  
Depends: R (>= 3.5.0)
License: AGPL-3
Imports: Rcpp, simts, utils, grDevices, coda, methods, graphics, stats
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.3.3
Encoding: UTF-8
Suggests: knitr, rmarkdown
URL: https://github.com/SMAC-Group/wv
BugReports: https://github.com/SMAC-Group/wv/issues
NeedsCompilation: yes
Packaged: 2025-10-08 08:01:59 UTC; lionel
Author: Stéphane Guerrier [aut, cre],
  James Balamuta [aut],
  Justin Lee [aut],
  Roberto Molinari [aut],
  Yuming Zhang [aut],
  Mucyo Karemera [aut],
  Nathanael Claussen [ctb],
  Haotian Xu [ctb],
  Lionel Voirol [ctb]
Repository: CRAN
Date/Publication: 2025-10-08 08:50:02 UTC

## wv 1.2.4

=== debian/changelog ===
wv (1.2.4-2.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8. Remove dpatch, remove -N
       Debian version suffix from libwmf-dev. Add autoconf, automake,
       libtool.
    - (Homepage): Add.
    - (Standards-Version): Update to 3.9.2.
    - (Suggests): Change obsolete gs to ghostscript and tetex-extra to
      texlive (Closes: #566762).
  * debian/copyright
    - Update to DEP 5.
  * debian/patches/series
    - Rename from 00list.
  * debian/rules
    - Delete dpatch.
    - (build-stamp): Fix Lintian error binary-or-shlib-defines-rpath by
      modifying "hardcode_into_libs" in configure files.
  * debian/source/format
    - New file.

  [tony mancill]
  * Update debian/rules to support BuildArchTarget.
  * Add man-wvware-typo.patch. (Closes: #642346)

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 09 Nov 2011 16:19:20 +0200

wv (1.2.4-2) unstable; urgency=low

  * Thanks to Matej Vela for all his work on the package.
  * New maintainer is Daniel Walrond. Closes: #379466.
  * New uploader is Stuart Teasdale.

 -- Daniel Walrond <debian@djw.org.uk>  Sun, 12 Nov 2006 20:12:19 +0000

wv (1.2.4-1) unstable; urgency=high

  * QA upload.
  * New upstream release.
    - Version 1.2.3 fixes multiple integer overflows.  [CVE-2006-4513]
      Closes: #396256.
    - Version 1.2.4 fixes unfiltered input in wvHandleCommandField(), and
      potential segfaults in wvBeginDocument() and wvEndDocument().
      There's no CVE, and no mention of security implications, but this
      still might be worth backporting to stable.
    - SONAME changed to libwv-1.2-3, though there have been no changes to
      the ABI.  Dumbass upstream.

 -- Matej Vela <vela@debian.org>  Tue, 31 Oct 2006 08:00:15 +0100

wv (1.2.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release.

 -- Matej Vela <vela@debian.org>  Tue, 12 Sep 2006 16:26:34 +0200

wv (1.2.1-2) unstable; urgency=low

  * Orphaning.
  * Drop .la file.  Closes: #374746.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sat, 22 Jul 2006 20:46:26 +0200

wv (1.2.1-1) unstable; urgency=low

  * New upstream release.  Closes: #240087.
  * Acknowledge NMU (thanks, Mikael!).  Closes: #200772.
  * Split off libwv-1.2-1 and libwv-dev.  Closes: #93065.
  * Update build dependencies:
    - Replace libglib1.2-dev with libglib2.0-dev.
    - Add libgsf-1-dev.
    - Add libpng12-dev.
    - Replace libexpat1-dev with libxml2-dev.
  * Switch to debhelper 5.
  * Switch to dpatch.
  * Automatically update config.sub and config.guess from autotools-dev.
  * wvDVI.in: Avoid `are the same file' error when the output extension is
    `.dvi'.  Closes: #309524.
  * wvMime: If available, use see(1) from mime-support.
  * wvWare.c (wvStrangeNoGraphicData): Remove dangling reference to
    placeholder.eps.  Closes: #197979.
  * help/man/wvAbw.1, help/man/wvCleanLatex.1, help/man/wvDVI.1,
    help/man/wvHtml.1, help/man/wvSummary.1, help/man/wvText.1:
    Ensure that all man pages have a consistent set of references.
  * help/man/wvRTF.1: Fix NAME section.  Closes: #339398.
  * help/man/wvWare.1: Document all options.  Closes: #200776, #334769.
  * debian/changelog: Remove `closes' keyword from 0.1.0-2 entry to avoid
    Lintian warnings.
  * debian/control: Suggest elinks and links as alternatives to lynx for
    plain text output.
  * debian/copyright: Update upstream URL.
  * debian/rules:
    - Update FSF address.
    - Add support for DEB_BUILD_OPTIONS=noopt.
  * debian/wv.mime:
    - Remove `copiousoutput' flag from wvMime entry.  Closes: #220207.
    - Use `priority=1' to rank behind OpenOffice.org (`priority=3') and
      AbiWord (`priority=2').  Closes: #350134.
    - Use the wvText script now that it accepts /dev/stdout for output.
    - Remove `print' commands; neither OpenOffice.org nor AbiWord provide
      them, and wvText makes a poor default.
  * debian/watch: Add.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Sat, 18 Mar 2006 19:21:07 +0100

wv (1.0.2-0.1) unstable; urgency=high

  * NMU to fix security bug, it also applies to the sarge version.
	
  * New upstream release, with fix for security bugg with
    CAN-2004-0645 (Closes: #264972)

  * wvText.in has changed, so the diff doesn't apply any more.

  * debian/rules L33: Checking for GNUmakefile instead for makefile
	
  * debian/rules L43: bin/make_epses.sh,bin/wv-*config and share/wv/ttf 
    doesn't not exists any more

  * debian/rules L44,L45: Some removed files. README still exists, but the 
    other doesn't exists in 1.0.2.

  * help/man/GNUmakefile.am: L1, adding share to manonedir 
    (aclocal-1.8 and automake-1.8 need to be runned after that and give some 
     warnings)

 -- Mikael Sennerholm <mikan@debian.org>  Wed, 11 Aug 2004 11:44:10 +0200

wv (0.7.4-1) unstable; urgency=low

  * New upstream release:
    - char is no longer assumed to be signed.  Closes: #176381.
  * Acknowledge NMU.  Closes: #165262, #166500.
  * text.c (wvConvertUnicodeToLaTeX): Disable debugging code which causes
    spurious output for non-Latin-1 files.  Thanks to Peter Novodvorsky
    for the patch.  Closes: #171193.
  * wvDVI.in, wvPDF.in, wvPS.in: Fix ImageMagick check.  Closes: #160925.
  * wvText.in: Use `--nographics', as suggested by Edmund GRIMLEY EVANS.
  * Makefile.in, exporter/Makefile.in: Disable `-ansi -pedantic' in order
    to get declarations for non-ANSI functions like fdopen.
  * wvWare.c: Remove declaration of strdup; without `-ansi' strdup is a
    macro and this expands to garbage.
  * Add imagemagick to Suggests (wv{DVI,PDF,PS} like to use convert).
  * Remove libwmf-bin from Suggests (conversion to EPS is built-in now).
  * Explain in the description what the suggested packages are for.
  * debian/mime: Specify `copiousoutput' rather than `needsterminal'.


=== debian/control ===
Source: wv
Section: text
Priority: optional
Maintainer: Daniel Walrond <debian@djw.org.uk>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), autoconf, automake, libtool, autotools-dev, libglib2.0-dev, libgsf-1-dev (>= 1.13.0), zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev (>= 0.2.7)
Homepage: http://sourceforge.net/projects/wvware

Package: wv
Architecture: any
Conflicts: mswordview
Replaces: mswordview
Provides: mswordview
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: texlive, ghostscript, elinks | links | lynx, imagemagick, gv | postscript-viewer
Description: Programs for accessing Microsoft Word documents
 wvWare (previously known as mswordview) is a library that allows access
 to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
 Word 95, and Word 6 file formats.  (Work is underway to support reading
 earlier formats as well: Word 2 documents are converted to plain text.)
 .
 This package provides the following programs:
 .
  * wvWare: Converts to HTML and LaTeX.  It's used by a small army of
    helper scripts able to preview Word documents and convert them to
    various other formats, like PostScript, PDF, DVI, etc.
 .
  * wvRTF: Converts to Microsoft's Rich Text Format.
 .
  * wvSummary: Displays the summary information stream of all OLE2 files,
    i.e. Excel, PowerPoint, Visio, Access, etc.
 .
  * wvVersion: Outputs the version of the Word format a document is stored
    in.
 .
 Note that conversion to DVI, PostScript, or PDF requires the tetex-extra
 package; PDF conversion also requires Ghostscript.  Having ELinks, Links,
 or Lynx will greatly improve the plain text output.  ImageMagick may help
 with the quality of images.  If you wish to preview Word documents from
 the comfort of your mail reader, install a PostScript viewer like gv.

Package: libwv-1.2-3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for accessing Microsoft Word documents
 wvWare (previously known as mswordview) is a library that allows access
 to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
 Word 95, and Word 6 file formats.  (Work is underway to support reading
 earlier formats as well: Word 2 documents are converted to plain text.)
 .
 This package contains the shared library.

Package: libwv-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libwv-1.2-3 (= ${Source-Version}), libglib2.0-dev, libgsf-1-dev, zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev
Description: Development files for the wvWare library
 wvWare (previously known as mswordview) is a library that allows access
 to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
 Word 95, and Word 6 file formats.  (Work is underway to support reading
 earlier formats as well: Word 2 documents are converted to plain text.)
 .
 This package contains the static library and header files.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 1994-1998  Martin Schulze <joey@debian.org>
# Copyright (C) 1999-2006  Matej Vela <vela@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

export CFLAGS := -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

confflags := --prefix=/usr \
	     --mandir=/usr/share/man \
	     --with-libwmf
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir

	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .


	# Backup files due to modifications below and autoreconf
	for f in aclocal.m4 *.in */*.in *.am configure INSTALL depcomp install-sh ltmain.sh missing mkinstalldirs; do cp $$f $$f.orig; done
	# autoreconf requires these
	touch NEWS AUTHORS ChangeLog

	# See http://wiki.debian.org/RpathIssue
	sed --in-place --regexp-extended 's/(hardcode_into_libs)=.*/\1=no/' ./configure aclocal.m4

	sed --in-place --regexp-extended 's/(CFLAGS|CPPFLAGS)/AM_\1/' GNUmakefile.am
	autoreconf -vfi

	./configure $(strip $(confflags))
	$(MAKE)

	for f in aclocal.m4 *.in */*.in *.am configure INSTALL depcomp install-sh ltmain.sh missing mkinstalldirs; do mv $$f.orig $$f; done
	rm -f NEWS AUTHORS ChangeLog

	> $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f GNUmakefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean

export DH_OPTIONS

install: DH_OPTIONS =
install: build
	dh_testdir
	dh_testroot
	dh_clean

	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

binary-arch: DH_OPTIONS = -a
binary-indep: DH_OPTIONS = -i
binary-%: DH_OPTIONS = -p$*
binary binary-%: install
	dh_installdirs
	dh_link
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installmime
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps -Llibwv-1.2-3 -ldebian/libwv-1.2-3/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean install binary

=== debian/watch ===
version=3
http://sf.net/wvware/wv-([\d.]+)\.tar\.gz

## wv 1.2.4-2

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: text
 Priority: optional
 Maintainer: Daniel Walrond <debian@djw.org.uk>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), autoconf, automake, libtool, autotools-dev, libglib2.0-dev, libgsf-1-dev (>= 1.13.0), zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev (>= 0.2.7)
-Homepage: http://sourceforge.net/projects/wvware
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5), dpatch, autotools-dev, libglib2.0-dev, libgsf-1-dev (>= 1.13.0), zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev (>= 0.2.7-1)
 
 Package: wv
 Architecture: any
 Conflicts: mswordview
 Replaces: mswordview
 Provides: mswordview
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: texlive, ghostscript, elinks | links | lynx, imagemagick, gv | postscript-viewer
+Depends: ${shlibs:Depends}
+Suggests: tetex-extra, gs, elinks | links | lynx, imagemagick, gv | postscript-viewer
 Description: Programs for accessing Microsoft Word documents
  wvWare (previously known as mswordview) is a library that allows access
  to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
@@ -42,7 +41,7 @@
 Package: libwv-1.2-3
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}
 Description: Library for accessing Microsoft Word documents
  wvWare (previously known as mswordview) is a library that allows access
  to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
@@ -54,7 +53,7 @@
 Package: libwv-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libwv-1.2-3 (= ${Source-Version}), libglib2.0-dev, libgsf-1-dev, zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev
+Depends: libwv-1.2-3 (= ${Source-Version}), libglib2.0-dev, libgsf-1-dev, zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev
 Description: Development files for the wvWare library
  wvWare (previously known as mswordview) is a library that allows access
  to Microsoft Word files.  It can load and parse the Word 2000, Word 97,

=== debian/rules ===
--- 
+++ 
@@ -30,35 +30,19 @@
 	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 endif
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp:
+include /usr/share/dpatch/dpatch.make
+
+build: build-stamp
+build-stamp: patch-stamp
 	dh_testdir
 
 	ln -sf /usr/share/misc/config.sub /usr/share/misc/config.guess .
-
-
-	# Backup files due to modifications below and autoreconf
-	for f in aclocal.m4 *.in */*.in *.am configure INSTALL depcomp install-sh ltmain.sh missing mkinstalldirs; do cp $$f $$f.orig; done
-	# autoreconf requires these
-	touch NEWS AUTHORS ChangeLog
-
-	# See http://wiki.debian.org/RpathIssue
-	sed --in-place --regexp-extended 's/(hardcode_into_libs)=.*/\1=no/' ./configure aclocal.m4
-
-	sed --in-place --regexp-extended 's/(CFLAGS|CPPFLAGS)/AM_\1/' GNUmakefile.am
-	autoreconf -vfi
-
 	./configure $(strip $(confflags))
 	$(MAKE)
 
-	for f in aclocal.m4 *.in */*.in *.am configure INSTALL depcomp install-sh ltmain.sh missing mkinstalldirs; do mv $$f.orig $$f; done
-	rm -f NEWS AUTHORS ChangeLog
-
 	> $@
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp

## wv 1.2.9

=== debian/changelog ===
wv (1.2.9-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #816327)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 16:49:05 -0300

wv (1.2.9-4.2) unstable; urgency=medium

  * Non-maintainer upload. Acknowledged by Daniel Walrond.
  * Tighten dependency libpng12-dev -> libpng-dev, to ease libpng
    transition. (Closes: #816103)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Mar 2016 16:00:24 +0100

wv (1.2.9-4.1) unstable; urgency=medium

  * Non-maintainer upload. Acknowledged by Daniel Walrond.
  * Tighten dependency wv -> libwv-1.2-4 to meet policy 12.3.
    (Closes: #776253)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 26 Jan 2015 20:30:47 +0100

wv (1.2.9-4) unstable; urgency=medium

  * "debian/control":
    + Standards-Version: 3.9.6.
    + Added VCS links.
    - Dropped conflicts with obsolete "mswordview".
    - Removed needless versioned dependencies from Build-Depends.
    - Removed myself from Uploaders.
  * "debian/copyright":
    + Minor re-formatting.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Oct 2014 19:34:46 +1000

wv (1.2.9-3.1) unstable; urgency=medium

  * Non-maintainer upload (acked by maintainer)
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763497)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Sep 2014 16:34:21 +0200

wv (1.2.9-3) unstable; urgency=low

  * d-control:
    + build-deps: libpng12-dev replaced with libpng-dev to help transition
      (Closes: #662552 I:"Please Build-Depends on libpng-dev...")
    + standards to current 3.9.3
  * d-copyright: DEP-5 URL is updated
  * hardening-format.patch: minor header update (forwarded)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Tue, 06 Mar 2012 22:31:55 +1100

wv (1.2.9-2) unstable; urgency=low

  * patch to fix man warning "macro 'PU' not defined"
  * patch to build with format hardening
  * acknowledging replacement of ${Source-Version} with ${binary:Version}
    (Thanks to Aron Xu)
  * no longer build .a files (--disable-static)
  * debhelper & compat to version 9 + multi-arch
  * wv description is updated (Closes: #473884) (Closes: #653463)
  * bugs squashed:
    • (Closes: #168925) - "crash on some document"

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Fri, 10 Feb 2012 11:42:37 +1100

wv (1.2.9-1) unstable; urgency=medium

  * Added myself as Uploader.
  * uploading to unstable since pyabiword is ready for transition.
    (Closes: #655789)

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 09 Feb 2012 13:43:50 +1100

wv (1.2.9-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New Upstream Release
  * added missing build-deps (Closes: #655789)
  * debian/watch updated with new URL (Closes: #599679)
    (Upstream do not publish to sf.net since 2008)
  * Major packaging update:
    + to straight debhelper (cleanup)
    + dh-autoreconf
    + use dpkg-provided build flags & some hardening
    + --as-needed to minimize depends
    - removed portion of GPL license from debian/rules
  * debian/copyright to DEP-5 format
    + added missing copyrights of Debian contributors

 -- Dmitry Smirnov <onlyjob@member.fsf.org>  Sun, 22 Jan 2012 02:25:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: wv
 Section: text
 Priority: optional
-Maintainer: Daniel Walrond <debian@djw.org.uk>
-Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5), dpatch, autotools-dev, libglib2.0-dev, libgsf-1-dev (>= 1.13.0), zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev (>= 0.2.7-1)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-autoreconf, libglib2.0-dev, libgsf-1-dev
+ ,zlib1g-dev ,libpng-dev ,libxml2-dev ,libwmf-dev, libjpeg-dev, libexpat1-dev
+Homepage: http://www.abisource.com/projects/
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wv.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/wv.git
 
 Package: wv
 Architecture: any
-Conflicts: mswordview
-Replaces: mswordview
-Provides: mswordview
-Depends: ${shlibs:Depends}
-Suggests: tetex-extra, gs, elinks | links | lynx, imagemagick, gv | postscript-viewer
+Depends: ${misc:Depends}, ${shlibs:Depends}, libwv-1.2-4 (= ${binary:Version})
+Suggests: texlive, ghostscript, elinks | links | lynx, imagemagick, gv | postscript-viewer
 Description: Programs for accessing Microsoft Word documents
  wvWare (previously known as mswordview) is a library that allows access
  to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
@@ -32,16 +33,18 @@
   * wvVersion: Outputs the version of the Word format a document is stored
     in.
  .
- Note that conversion to DVI, PostScript, or PDF requires the tetex-extra
+ Note that conversion to DVI, PostScript, or PDF requires the 'texlive'
  package; PDF conversion also requires Ghostscript.  Having ELinks, Links,
  or Lynx will greatly improve the plain text output.  ImageMagick may help
  with the quality of images.  If you wish to preview Word documents from
  the comfort of your mail reader, install a PostScript viewer like gv.
 
-Package: libwv-1.2-3
+Package: libwv-1.2-4
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for accessing Microsoft Word documents
  wvWare (previously known as mswordview) is a library that allows access
  to Microsoft Word files.  It can load and parse the Word 2000, Word 97,
@@ -53,7 +56,7 @@
 Package: libwv-dev
 Section: libdevel
 Architecture: any
-Depends: libwv-1.2-3 (= ${Source-Version}), libglib2.0-dev, libgsf-1-dev, zlib1g-dev, libpng12-dev, libxml2-dev, libwmf-dev
+Depends: ${misc:Depends}, libwv-1.2-4 (= ${binary:Version}), libglib2.0-dev, libgsf-1-dev, zlib1g-dev, libpng-dev, libxml2-dev, libwmf-dev
 Description: Development files for the wvWare library
  wvWare (previously known as mswordview) is a library that allows access
  to Microsoft Word files.  It can load and parse the Word 2000, Word 97,

=== debian/watch ===
version=3

http://www.abisource.com/downloads/wv/(\d+\.\d+\.\d+)/wv-(\d+\.\d+\.\d+).tar.gz
